            #GIT_CMT=d55227ddb74341180cb438ab02ce60422f3270a2
%global with_python38 1
%if 0%{?with_python38}
%global __python_provides /usr/lib/rpm/pythondistdeps.py --provides --majorver-provides-versions 2.7,3.6,3.8
%global __python38 /usr/bin/python3.8
%global python38_pkgversion 38
%global python38_sitelib /usr/lib/python3.8/site-packages
%endif
            #GIT_CMT=3dc93cf403a294f7b7b0aef950e2f256df40baf8
%define     srcname circuitbreaker
%define     debug_package %{nil}

Name:		python-%{srcname}
Version:	1.3.1
Release:    2.el8
Summary:	Python Circuit Breaker pattern implementation

Group:		Development/Libraries
License:	BSD-3-Clause
URL:		https://github.com/fabfuel/circuitbreaker
Source0:	%{srcname}-%{version}.tar.gz

%description
Python Circuit Breaker pattern implementation

%package -n python%{python3_version_nodots}-%{srcname}
Summary:	Python Circuit Breaker pattern implementation

BuildRequires:	python3 > 3.5
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
Requires:	    python3 > 3.5
buildarch:      noarch
provides:       python3-circuitbreaker = %{version}-%{release}

%description -n python%{python3_version_nodots}-%{srcname}
Python3 Circuit Breaker pattern implementation

%if 0%{?with_python38}
%package -n python%{python38_pkgversion}-%{srcname}
Summary:	Python Circuit Breaker pattern implementation

BuildRequires:	python38
BuildRequires:  python38-devel
Requires:	python38
buildarch:      noarch
provides:       python38-circuitbreaker = %{version}-%{release}

%description -n python%{python38_pkgversion}-%{srcname}
Python3 Circuit Breaker pattern implementation
%endif

%prep
%setup -q -n %{srcname}-%{version}


%build


%install
# install DESTDIR=%{buildroot}
%{__python3} setup.py install --root=%{buildroot}
%if 0%{?with_python38}
%{__python38} setup.py install --skip-build --root %{buildroot}
%endif

%files -n python%{python3_version_nodots}-%{srcname}
%doc
%{python3_sitelib}/%{srcname}*
%exclude %{python3_sitelib}/__pycache__

%if 0%{?with_python38}
%files -n python%{python38_pkgversion}-%{srcname}
%doc
%{python38_sitelib}/%{srcname}*
%exclude %{python38_sitelib}/__pycache__
%endif

%changelog
* Thu Nov 3 2022 Alexander Burmashev <alexander.burmashev@oracle.com> - 1.3.1-2.el8
- Enable python3.8 build (Alexander Burmashev)

* Wed Oct 27 2021 Qing Lin <qing.lin@oracle.com> - 1.3.1-1.el8
- provides python3-circuitbreaker

* Wed Oct 20 2021 Qing Lin <qing.lin@oracle.com> -- 1.3.1
- initial build.

